Platform
Catalog/Edit image/Luma Uni-1 Edit
IMAGE → IMAGE · Luma

Luma Uni-1 Edit

Luma Uni-1 Edit makes text-guided edits with Luma AI's Uni-1 while preserving the structure of the source image.
PRICE0.09 creditsper image
AVG TIME~15sestimate
OUTPUTimagesync
Open in playground

Inputs

promptrequired · text
imagerequired · Image — artifact id or https URL
params.aspect_ratioauto | 1:1 | 3:2 | 16:9 | 21:9 | 9:16 | 2:3 | 3:4 | 4:3 | 4:5 · default auto
Monthly estimate
1,000 × 0.09 credits90.00 credits
curl https://platform.4i.app/api/v1/run \
  -H "Authorization: Bearer $FOURI_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "luma/uni-1-edit",
    "input": {
      "prompt": "Describe the edit…",
      "image": "img_… or https://…"
    },
    "params": {
      "aspect_ratio": "auto"
    }
  }'
Every output has an artifact_id. Pass it as input to any compatible service.
Get your API key →